Subject: RE: [Diffserv] Part 2: FWD: response to comments todraft-charny- ef-definition-00

From: Shahram Davari <[email-masked]>
Date: Wed, 26 Jul 2000 11:25:38 -0700

Hi,

>-----Original Message-----
>From: Brijesh Kumar [mailto:[email-masked]]
>Sent: Wednesday, July 26, 2000 2:02 PM
>To: 'Brian E Carpenter'; 'Shahram Davari'
>Cc: 'Anna Charny'; 'Kathleen Nichols'; [email-masked]
>Subject: RE: [Diffserv] Part 2: FWD: response to comments
>todraft-charny-ef-definition-00
>
>
>
>> -----Original Message-----
>> From: [email-masked]
>> [mailto:[email-masked]]On Behalf
>> Of Brian E Carpenter
>> Shahram Davari wrote:
>
>> > So when somebody says they have implemented EF without
>> difficulty, what they
>> > mean is that they are using PQ.
>>
>> Maybe. Let's hear from them. I know of people who are running
>> CBWFQ in support
>> of EF.
>
>I don't think it is such a insurmountable problem.
>
>Yes, there is a problem in the definition of EF PHB draft which means
>that none of the implementations may "precisely" fulfill the
>definition as written in the draft.

I am happy that at least you agree there is a problem with RFC-2598. This is
the first and the most important step.

Cheers,
-Shd

 Assume, if the original draft was
>written with added clarification so that there was no ambiguity about
>"any time interval" in the statement - "you SHOULD get at least the
>configured rate over any time interval greater than MTU/R (R is the
>configured rate)" and also there was added condition that this is only
>true when EF aggregate arrival rate exceeds the configured rate. I
>wonder if this would have made any difference to how most vendors have
>implemented this PHB in their boxes? Let us see the answers from
>people who are proposing the new draft. Please don't give complex
>mathematical derivations (as most have already admitted the problems
>in the basic draft) - just give us plain text explanation that will
>differentiate implementations in two cases.
>
>
>Cheers,
>
>--brijesh
>Ennovate Networks Inc..
>
>
>_______________________________________________
>diffserv mailing list
>[email-masked]
>http://www1.ietf.org/mailman/listinfo/diffserv
>Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/
>

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/